DKBSignDocs

API reference

PUTRequires Bearer token

Update LDAP connection

/api/contacts/ldap-connections/{connection_id}

All fields optional. Same shape as create.

Path parameters

FieldTypeDescription
connection_id
Required
stringPath parameter connection_id.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
name
stringConnection label.
e.g. "Corporate AD"
host
stringLDAP host.
port
integerLDAP port.
e.g. 389
use_ssl
booleanUse LDAPS.
e.g. false
bind_dn
stringBind DN.
bind_password
stringBind password (omit to keep the stored secret).
base_dn
stringSearch base DN.
search_filter
stringLDAP search filter.
attribute_map
objectMap contact fields → LDAP attributes.
active
booleanWhether the connection can be used.
e.g. true

Responses

StatusMeaning
200Updated
401Missing or invalid Bearer token.

Request

curl
curl -X PUT 'https://api.dkbsigns.com/api/contacts/ldap-connections/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"Corporate AD","host":"example","port":389,"use_ssl":false,"bind_dn":"example","bind_password":"P@ssw0rd!","base_dn":"example","search_filter":"example","attribute_map":{},"active":true}'

Response 200

json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "Corporate AD"
}